{ re.c }
function rb_mbclen2(c: Cardinal; re: Tvalue): Integer;
function rb_str_cicmp(str1, str2: Tvalue): Integer;
function rb_reg_search(reg, str: Tvalue; pos, reverse: Integer): Integer;
function rb_reg_nth_defined(nth: Integer; match: Tvalue): Tvalue;
function rb_reg_nth_match(nth: Integer; match: Tvalue): Tvalue;
function rb_reg_last_match(match: Tvalue): Tvalue;
function rb_reg_match_pre(match: Tvalue): Tvalue;
function rb_reg_match_post(match: Tvalue): Tvalue;
function rb_reg_match_last(match: Tvalue): Tvalue;
function rb_reg_new(const s: PChar; len, options: Integer): Tvalue;
function rb_reg_regcomp(str : Tvalue): Tvalue;
function rb_reg_match(re, str: Tvalue): Tvalue;
function rb_reg_match2(re: Tvalue): Tvalue;
function rb_kcode: Integer;
function rb_reg_options(re: Tvalue): Integer;
function rb_reg_regsub(str, src: Tvalue; regs: PRERegisters): Tvalue;
function rb_get_kcode: PChar;
procedure rb_set_kcode(const code: PChar);
procedure rb_match_busy(match: Tvalue);

